/** @type {import('tailwindcss').Config} */
module.exports = {
    content: [
        './src/pages/**/*.{js,ts,jsx,tsx,md,mdx}',
        './src/components/**/*.{js,ts,jsx,tsx,md,mdx}',
        './src/app/**/*.{js,ts,jsx,tsx,md,mdx}',
        './theme.config.tsx'
    ],
    theme: {
        fontFamily: {
            'space-grotesk': ['Space Grotesk', 'sans-serif'],
        },
        extend: {
            colors: {
                zendis: {
                    50: '#eefffb',
                    100: '#c6fff4',
                    200: '#8effeb',
                    300: '#4dfbdf',
                    400: '#19e8cd',
                    500: '#00e6cc',
                    600: '#00a495',
                    700: '#028379',
                    800: '#086761',
                    900: '#0c5550',
                    950: '#003433',
                },
                primary: {
                    DEFAULT: '#2f6eff',
                    foreground: "#FFFFFF",
                    50: '#e8f5ff',
                    100: '#d5edff',
                    200: '#b3dbff',
                    300: '#85c1ff',
                    400: '#5698ff',
                    500: '#2f6eff',
                    600: '#0c3fff',
                    700: '#1544ff',
                    800: '#0631cd',
                    900: '#10329f',
                    950: '#0a1c5c',
                },
                blue: {
                    50: '#e8f5ff',
                    100: '#d5edff',
                    200: '#b3dbff',
                    300: '#85c1ff',
                    400: '#5698ff',
                    500: '#2f6eff',
                    600: '#0c3fff',
                    700: '#1544ff',
                    800: '#0631cd',
                    900: '#10329f',
                    950: '#0a1c5c',
                },
                destructive: {
                    DEFAULT: "#E71507",
                    foreground: "#FFFFFF",
                }
            },
        }
    },
}

